> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# responses

> responses



## OpenAPI

````yaml post /ai/v1/responses
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://ai.pmock.com/api
    description: Generated server url
security: []
tags:
  - name: 开放-minimax视频生成
    description: 开放-minimax视频生成
  - name: 开放-Grok开放接口
    description: 开放-Grok开放接口
  - name: 开放-AI同步调用兼容接口
    description: 开放-AI同步调用兼容接口
  - name: 开放-Gemini开放接口
    description: 开放-Gemini开放接口
  - name: 开放-Sora2开放接口
    description: 开放-Sora2开放接口
  - name: 开放-模型列表接口
    description: 开放-模型列表接口
  - name: 开放-火山视频生成
    description: 开放-火山视频生成
  - name: 开放-OpenAi开放接口
    description: 开放-OpenAi开放接口
  - name: 开放-业务相关接口
    description: 开放-业务相关接口
  - name: 开放-任务开放接口
    description: 开放-任务开放接口
paths:
  /ai/v1/responses:
    post:
      tags:
        - 开放-AI同步调用兼容接口
      summary: responses
      description: responses
      operationId: v1Responses
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenaiV1ResponsesDTO'
        required: true
      responses:
        '200':
          description: OK
components:
  schemas:
    OpenaiV1ResponsesDTO:
      type: object
      properties:
        model:
          type: string
          minLength: 1
        input: {}
        instructions:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        stream:
          type: boolean
        temperature:
          type: number
          format: double
        tools:
          type: array
          items: {}
        stream_options:
          $ref: '#/components/schemas/StreamOptions'
        top_p:
          type: number
          format: double
        max_output_tokens:
          type: integer
          format: int32
        service_tier:
          type: string
        extra:
          type: object
          additionalProperties: {}
      required:
        - model
    StreamOptions:
      type: object
      properties:
        include_obfuscation:
          type: boolean

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.